ruby

CentOSに、vim7.4インストール、さらにvim-rubyを設定した時のメモです。

CentOS 6.6、rbenv、gem環境では、gem install vim-rubyができなかったので、gitからインストールしてみた。

  1. [vagrant@localhost vim-ruby]$ cat /etc/centos-release
  2. CentOS release 6.6 (Final)
  3. [vagrant@localhost vim-ruby]$ rbenv -v
  4. rbenv 0.4.0-148-g5b9e4f0
  5. [vagrant@localhost vim-ruby]$ gem --version
  6. 2.4.7
  7. [vagrant@localhost vim-ruby]$ gem install vim-ruby
  8. ERROR:  Could not find a valid gem 'vim-ruby' (>= 0) in any repository
  9. ERROR:  Possible alternatives: vipruby, zim-ruby, ai4ruby, evil-ruby, gimuby

OS X MavericksでRubyGemsのThin Serverをインストール

投稿者:chikunai 投稿日時:2014-08-04(月) 22:29

Mac OS XでRubyだと、通常rubyenvやanyenv、またはbrewなどパッケージツールを使って、RubyやRubyGemsをインストールするのが一般的なようです。

Google APIへアクセスするアプリケーションをRubyで開発した際、Mac OS X標準の環境で、どこまでインストールが出来るか試してみました。ちょうどRubyGemsでThin Serverをインストールしたくて失敗したための備忘録です。中々ネットに情報が転がっていませんでした。

  1. $ sudo gem install thin
  2.     Fetching: eventmachine-1.0.3.gem (100%)
  3.     Building native extensions.  This could take a while...
  4.     ERROR:  Error installing thin:
  5.             ERROR: Failed to build gem native extension.

コンテンツ配信
Drupal theme by Kiwi Themes.